petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscSFRestoreWindow

Restores a window obtained with PetscSFGetWindow()

### Synopsis

    #include "petscsf.h"
    static PetscErrorCode PetscSFRestoreWindow(PetscSF sf,MPI_Datatype unit,const void *array,PetscBool epoch,PetscMPIInt fenceassert,MPI_Win *win)

Collective Many br

### Input Arguments

| sf | - star forest Many br
| unit | - data type Many br
| array | - array associated with window Many br
| epoch | - close an epoch, must match argument to PetscSFGetWindow() Many br
| win | - window Many br

Many br

### See Also

PetscSFFindWindow()

Level:developer
Location:src/vec/is/sf/impls/window/sfwindow.c
Index of all PetscSF routines
Table of Contents for all manual pages
Index of all manual pages